import request from '@/utils/request'

// 查询科技型中小企业名单列表
export function listEnterprises(query) {
  return request({
    url: '/basicData/xcrMinorEnterprises/findByPage',
    method: 'get',
    params: query
  })
}

// 查询科技型中小企业名单详细
export function getEnterprises(xhCodeId) {
  return request({
    url: '/basicData/xcrMinorEnterprises/' + xhCodeId,
    method: 'get'
  })
}

// 新增科技型中小企业名单
export function addEnterprises(data) {
  return request({
    url: '/basicData/xcrMinorEnterprises',
    method: 'post',
    data: data
  })
}

// 修改科技型中小企业名单
export function updateEnterprises(data) {
  return request({
    url: '/basicData/xcrMinorEnterprises',
    method: 'put',
    data: data
  })
}

// 删除科技型中小企业名单
export function delEnterprises(xhCodeId) {
  return request({
    url: '/basicData/xcrMinorEnterprises/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delEnterprisesBatch(ids) {
  return request.post('/basicData/xcrMinorEnterprises/delete',ids)
}
